/*
 * @Author: WuWei
 * @Date: 2020-07-02 09:57:09
 * @LastEditors: ChenYaJin
 * @LastEditTime: 2022-12-15 17:26:12
 * @Description:
 */
import 'package:app_package/app_package.dart';
import 'package:service_center_package/src/models/deal_person.dart';
import 'package:service_center_package/src/models/status.dart';
import 'package:service_center_package/src/models/inner_sort_list.dart';
import 'package:service_center_package/src/models/sort_list.dart';
import 'package:service_center_package/src/models/type_list.dart';
import 'package:service_center_package/src/models/repair_list.dart';

abstract class OverdueRepairService {
  /// 报修
  Future<ResModel<PagingModel<RepairListModel>>> getRepairList(data);
  Future<ResModel<List<StatusModel>>> getStatusEnum();

  /// 处理人列表
  Future<ResModel<List<DealPeasonModel>>> getDealPerson(data);

  /// 类别列表 http://yapi.wisdomcity.com.cn/project/16/interface/api/20670
  Future<ResModel<List<TypeListModel>>> getTypeList();

  /// 分类列表 http://yapi.wisdomcity.com.cn/project/16/interface/api/20670
  Future<ResModel<List<SortListModel>>> getSortList(data);
  Future<ResModel<List<InnerSortListModel>>> getInnerSortList();
}
